import { IWebSocket, WebSocketMessageReader as BaseWebSocketMessageReader } from 'vscode-ws-jsonrpc';
export declare class WebSocketMessageReader extends BaseWebSocketMessageReader {
    private onMessage;
    constructor(socket: IWebSocket, onMessage?: () => void);
    protected readMessage(msg: string): void;
}
